summaryrefslogtreecommitdiffstats
path: root/network/linssid
diff options
context:
space:
mode:
author Christoph Willing2018-09-21 22:28:22 +0200
committer David Spencer2018-09-21 22:28:22 +0200
commit49b30c458cff3ca117afc938e006fdbd6d4d6c6d (patch)
treee181bd0210d984e22026d35532229258c2cb77b3 /network/linssid
parent23c2c7989529dbaef1240e9a1966be8138ef6ab2 (diff)
downloadslackbuilds-49b30c458cff3ca117afc938e006fdbd6d4d6c6d.tar.gz
network/linssid: Added (Wifi Scanner).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/linssid')
-rw-r--r--network/linssid/README4
-rw-r--r--network/linssid/doinst.sh3
-rw-r--r--network/linssid/libdirsuffix.diff11
-rw-r--r--network/linssid/linssid.SlackBuild92
-rw-r--r--network/linssid/linssid.info10
-rw-r--r--network/linssid/slack-desc19
6 files changed, 139 insertions, 0 deletions
diff --git a/network/linssid/README b/network/linssid/README
new file mode 100644
index 0000000000..fbf21e859d
--- /dev/null
+++ b/network/linssid/README
@@ -0,0 +1,4 @@
+LinSSID is a graphical wireless scanner for Linux.
+It is graphically and functionally similar to Inssider (Microsoft Windows)
+
+The qwt package required for LinSSID must have been built with Qt5 support.
diff --git a/network/linssid/doinst.sh b/network/linssid/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/linssid/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/linssid/libdirsuffix.diff b/network/linssid/libdirsuffix.diff
new file mode 100644
index 0000000000..173fa96567
--- /dev/null
+++ b/network/linssid/libdirsuffix.diff
@@ -0,0 +1,11 @@
+--- linssid-app/linssid-app.pro.orig 2018-06-23 11:01:15.000000000 +1000
++++ linssid-app/linssid-app.pro 2018-09-18 15:40:36.098399259 +1000
+@@ -22,7 +22,7 @@
+ INCLUDEPATH += /usr/include/qt5
+ INCLUDEPATH += /usr/include/qwt
+ LIBS += -lboost_regex
+-LIBS += /usr/lib/libqwt-qt5.so.6
++LIBS += /usr/lib$${LIBDIRSUFFIX}/libqwt-qt5.so.6
+ QMAKE_CXXFLAGS += -std=c++11
+ #
+ TARGET = linssid
diff --git a/network/linssid/linssid.SlackBuild b/network/linssid/linssid.SlackBuild
new file mode 100644
index 0000000000..88c98e4212
--- /dev/null
+++ b/network/linssid/linssid.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for linssid
+
+# Copyright 2018 Christoph Willing Brisbane, Australia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=linssid
+VERSION=${VERSION:-3.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_${VERSION}.orig.tar.gz
+cd $PRGNAM-$VERSION
+patch -p0 < $CWD/libdirsuffix.diff
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+qmake-qt5 LIBDIRSUFFIX=$LIBDIRSUFFIX ..
+make
+make install INSTALL_ROOT=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a linssid-app/license.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/linssid/linssid.info b/network/linssid/linssid.info
new file mode 100644
index 0000000000..0671f83139
--- /dev/null
+++ b/network/linssid/linssid.info
@@ -0,0 +1,10 @@
+PRGNAM="linssid"
+VERSION="3.6"
+HOMEPAGE="https://sourceforge.net/projects/linssid/"
+DOWNLOAD="https://sourceforge.net/projects/linssid/files/LinSSID_3.6/linssid_3.6.orig.tar.gz"
+MD5SUM="3a5363ca193fa45312381c9532b86152"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5 qwt"
+MAINTAINER="Christoph Willing"
+EMAIL="chris.willing@linux.com"
diff --git a/network/linssid/slack-desc b/network/linssid/slack-desc
new file mode 100644
index 0000000000..ee80963e18
--- /dev/null
+++ b/network/linssid/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+linssid: linssid (Wifi Scanner)
+linssid:
+linssid: LinSSID is a graphical wireless scanner for Linux, graphically and
+linssid: functionally similar to Inssider (Microsoft Windows)
+linssid:
+linssid:
+linssid:
+linssid:
+linssid:
+linssid:
+linssid: